%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Summary: A clone of the old BBC Micro Repton game for KDE.
Name: krepton
Version: 2.0
Release: 6
Group: Amusements/Games
Copyright: GPL
Source: ftp://ftp.kde.org/pub/kde/stable/latest/apps/games/%{name}-%{version}.tar.gz
URL: ftp://ftp.kde.org/pub/kde/stable/latest/apps/games/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildPrereq: kdelibs-devel, qt1x-devel
Requires: kdelibs, qt1x
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
Krepton is a clone of the old BBC Micro Repton game, re-written for
the K Desktop Environment (KDE).  You'll need to have X and KDE
installed in order to play Krepton.

%prep
%setup -q 
%build
export KDEDIR=%{prefix} QTDIR=%{qtdir} MOC=%{qtdir}/bin/moc
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS

%install
rm -fr $RPM_BUILD_ROOT

make install-strip

%files
%defattr(-,root,root)
%doc COPYRIGHT
%attr(755,root,root) /usr/bin/krepton
%attr(755,root,root) /usr/bin/kreptoned
%attr( - ,root,root) %{kdeprefix}/share/applnk
%attr( - ,root,root) %{kdeprefix}/share/apps
%attr(644,root,root) %{kdeprefix}/share/icons/*.xpm
%attr(644,root,root) %{kdeprefix}/share/icons/mini/*.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs-1.1.2
- add missing defattr

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against with compat-libstdc++

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++ 1.1.2

* Mon Jun 12 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45
- Update URL

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- updated ro 6.1

* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package
